For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tests
      • GETGet test
      • POSTCreate test
      • PUTUpdate test
      • DELDelete test
      • POSTGet test summaries
      • POSTRun tests on agent
        • POSTCreate folder
        • GETGet folder
        • PATCHUpdate folder
        • DELDelete folder
        • POSTBulk move tests to folder
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTestsTest Folders

Update folder

PATCH
/v1/convai/agent-testing/folders/:folder_id
PATCH
/v1/convai/agent-testing/folders/:folder_id
$curl -X PATCH https://api.elevenlabs.io/v1/convai/agent-testing/folders/folder_id \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Customer Support Tests"
>}'
1{
2 "id": "tfld_7301khxdkycse5f88fzjdtrterzm",
3 "name": "Customer Support Tests",
4 "folder_path": [
5 {
6 "id": "tfld_root1234567890",
7 "name": "Root Folder"
8 },
9 {
10 "id": "tfld_abc123def456",
11 "name": "Agent Testing"
12 }
13 ],
14 "children_count": 12
15}
Updates an agent test folder. Currently only supports updating the folder name.
Was this page helpful?
Previous

Delete folder

Next
Built with

Path parameters

folder_idstringRequired
The folder ID.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringRequired
The new name for the folder

Response

Folder successfully updated
idstring
namestring
folder_pathlist of objects
The path from the root folder to the current folder.
children_countintegerDefaults to 0

The number of direct children (tests and subfolders) in this folder

Errors

422
Unprocessable Entity Error